import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class GroContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    groLabsVault({ address, network }: ContractOpts): import("./ethers").GroLabsVault;
    groLpTokenStaker({ address, network }: ContractOpts): import("./ethers").GroLpTokenStaker;
    groVesting({ address, network }: ContractOpts): import("./ethers").GroVesting;
}
export type { GroLabsVault } from './ethers';
export type { GroLpTokenStaker } from './ethers';
export type { GroVesting } from './ethers';
